import 'bootstrap/dist/css/bootstrap.min.css'
import './App.css'
import { BrowserRouter, Routes, Route } from 'react-router-dom'
import MenuBar from './components/MenuBar'
import Home from './components/Home'
import Dashboard from './components/Dashboard'
import Products from './components/Product'
import Protected from './components/Protected'
import { AuthProvider } from 'test608'

export default function App() {
  return (
    <AuthProvider
      clientID={process.env.REACT_APP_FUSION_AUTH_CLIENT_ID}
      serverUrl={process.env.REACT_APP_AUTH_SERVER_URL}
      onError={(type, error) => {
        console.log('props 11111', type, error)
      }}
    >
      <div className='container mt-5'>
        <BrowserRouter>
          <MenuBar />
          <Routes>
            <Route path='/' element={<Home />} />
            <Route
              path='/dashboard'
              element={
                <Protected>
                  <Dashboard />
                </Protected>
              }
            />
            <Route
              path='/products'
              element={
                <Protected>
                  <Products />
                </Protected>
              }
            />
          </Routes>
        </BrowserRouter>
      </div>
    </AuthProvider>
  )
}
